
package cn.com.poc.thirdparty.resource.demand.ai.entity.text_correction;

public class VecFragment {

//    @JSONField(name = "begin_pos")
    private Long beginPos;
    //    @JSONField(name = "correct_frag")
    private String correctFrag;
    //    @JSONField(name = "end_pos")
    private Long endPos;
    private String explain;
    //    @JSONField(name = "explain_long")
    private String explainLong;
    //    @JSONField(name = "explain_structure")
    private String explainStructure;
    private String label;
    private Long operation;
    //    @JSONField(name = "ori_frag")
    private String oriFrag;
    private Long score;

    public Long getBeginPos() {
        return beginPos;
    }

    public void setBeginPos(Long beginPos) {
        this.beginPos = beginPos;
    }

    public String getCorrectFrag() {
        return correctFrag;
    }

    public void setCorrectFrag(String correctFrag) {
        this.correctFrag = correctFrag;
    }

    public Long getEndPos() {
        return endPos;
    }

    public void setEndPos(Long endPos) {
        this.endPos = endPos;
    }

    public String getExplain() {
        return explain;
    }

    public void setExplain(String explain) {
        this.explain = explain;
    }

    public String getExplainLong() {
        return explainLong;
    }

    public void setExplainLong(String explainLong) {
        this.explainLong = explainLong;
    }

    public String getExplainStructure() {
        return explainStructure;
    }

    public void setExplainStructure(String explainStructure) {
        this.explainStructure = explainStructure;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Long getOperation() {
        return operation;
    }

    public void setOperation(Long operation) {
        this.operation = operation;
    }

    public String getOriFrag() {
        return oriFrag;
    }

    public void setOriFrag(String oriFrag) {
        this.oriFrag = oriFrag;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }

}
